GRML-PASTE(1)

NAME
grml-paste - command line interface for pastebins

SYNOPSIS

grml-paste [options] ACTION <args>

DESCRIPTION

grml-paste is a command line interface for uploading plain text to https://paste.debian.net/

OPTIONS

-e hours, --expire=HOURS
    Time at which paste should expire.

-h, --help
    Print help text.

-l lang, --lang=LANG
    Type of language to highlight.

-n name, --name=NAME
    Set your nickname (defaults to login username).

-s server, --server=SERVER
    Set URL of paste server (defaults to paste.debian.net).

-t token, --token=TOKEN
    Use an API token for authentication. Users can create tokens on https://paste.debian.net/ by authenticating against salsa.debian.org. After logging in, you can manage your tokens at https://paste.debian.net/tokens. Using a token allows you to circumvent most of the service’s strict spam checks (e.g., line break limits) and benefit from relaxed rate limits, which is especially useful for automated scripts or large pastes.

-v, --verbose
    More verbose output.

ACTIONS

add
    Add paste to the server: <1.line> <2.line> ...

del <id>
    Delete paste from server.

get <id>
    Get paste from server.

getlangs
    Get supported language highlighting types from server.

help <action>
    Print more verbose help about specified <action>.

USAGE EXAMPLES

dmesg | tail | grml-paste add --name=grmluser
    Upload last ten lines of dmesg output as user grmluser.

cat /var/log/syslog | grml-paste add --token=YOUR_SECRET_TOKEN
    Upload syslog using an authentication token to bypass spam filters and size limits.

BUGS

Please report feedback, bugreports[1] and wishes to the grml team[2].

AUTHORS

Michael Gebetsroither <gebi@grml.org[3]>

NOTES

1.  bugreports
    https://grml.org/bugs/

2.  to the grml team
    https://grml.org/contact/

3.  gebi@grml.org
    mailto:gebi@grml.org